// packageE/richtext/richtext.js
Component({
  properties: {
    datas: {
      type: null,
    },
    component_id: {
      type: null,
    },
  },
  // 私有数据，可用于模板渲染
  data: {
    emptyImage: "https://mini-app-img-1251768088.cos.ap-guangzhou.myqcloud.com/image.png",
    clientWidth: "375",
  },

  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {
      this.setData({
        "datas.html_value": this.handleImage(this.data.datas.html_value),
      });
    },
    moved() {},
    detached() {},
  },

  // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
  attached() {},
  // 此处attached的声明会被lifetimes字段中的声明覆盖
  ready() {
    // this.setData({
    //   clientWidth: wx.getSystemInfoSync().windowWidth,
    // });
  },

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show() {},
    hide() {},
    resize() {},
  },
  methods: {
    handleImage(content) {
      let newStr = content.replace(
        /\<img/g,
        '<img style="max-width:100%;height:auto;display:block;margin:10px 0; "'
      );
      return newStr;
    },
  },
});
